Token payroll
Update Token Payroll Type
Changes a token payroll's type and selected token when no settlements exist and it is not approved or completed.
POSThttps://api.toku.com/stablecoin-payroll/update-token-payroll-type
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-token-payroll-type' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollId": "string",
"type": "ON_CYCLE",
"selectedTokenTypeID": "string"
}'200 response
{
"tokenPayroll": {
"tokenPayrollID": "string",
"orgID": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"externalPayrollID": "string",
"fiatCurrency": "string",
"payrollEntityId": "string",
"state": "string",
"type": "string",
"createdAt": "string",
"updatedAt": "string"
},
"validationErrors": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIdstringrequiredAllowed: 1 to 200 characters
typestringrequiredAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
selectedTokenTypeIDstringAllowed: 1 to 200 characters
Response
200Successful response
tokenPayrollobjectrequiredShow child attributes
tokenPayrollIDstringrequiredorgIDstringrequiredpayPeriodStartstringrequiredpayPeriodEndstringrequiredpayDatestringrequiredexternalPayrollIDstring | nullrequiredfiatCurrencystringrequiredpayrollEntityIdstring | nullrequiredstatestringrequiredtypestringrequiredcreatedAtstringrequiredupdatedAtstringrequiredvalidationErrorsstring[]400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits